diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -5106,39 +5110,39 @@ F1(On)2.538 E F0 2.538(,r)C .038(eadline will inhibit w)-2.538 F .038
 (ord completion.)-.1 F .038
 (Completion characters will be inserted into the)5.038 F(line as if the)
 144 276 Q 2.5(yh)-.15 G(ad been mapped to)-2.5 E F1(self-insert)2.5 E F0
-(.)A F1(echo\255contr)108 288 Q(ol\255characters \(On\))-.18 E F0 1.21
-(When set to)144 300 R F1(On)3.71 E F0 3.71(,o)C 3.71(no)-3.71 G 1.211
-(perating systems that indicate the)-3.71 F 3.711(ys)-.15 G 1.211
+(.)A F1(echo\255contr)108 288 Q(ol\255characters \(On\))-.18 E F0 1.211
+(When set to)144 300 R F1(On)3.711 E F0 3.711(,o)C 3.711(no)-3.711 G
+1.211(perating systems that indicate the)-3.711 F 3.711(ys)-.15 G 1.21
 (upport it, readline echoes a character)-3.711 F
 (corresponding to a signal generated from the k)144 312 Q -.15(ey)-.1 G
-(board.).15 E F1(editing\255mode \(emacs\))108 324 Q F0 .142
+(board.).15 E F1(editing\255mode \(emacs\))108 324 Q F0 .141
 (Controls whether readline be)144 336 R .141(gins with a set of k)-.15 F
-.441 -.15(ey b)-.1 H .141(indings similar to).15 F F2(Emacs)2.641 E F0
-(or)2.641 E F2(vi)2.641 E F0(.)A F1(editing\255mode)5.141 E F0
+.441 -.15(ey b)-.1 H .141(indings similar to).15 F F2(Emacs)2.642 E F0
+(or)2.642 E F2(vi)2.642 E F0(.)A F1(editing\255mode)5.142 E F0
 (can be set to either)144 348 Q F1(emacs)2.5 E F0(or)2.5 E F1(vi)2.5 E
 F0(.)A F1(emacs\255mode\255string \(@\))108 360 Q F0 .051(This string i\
 s displayed immediately before the last line of the primary prompt when\
- emacs editing)144 372 R .293(mode is acti)144 384 R -.15(ve)-.25 G
-5.293(.T).15 G .293(he v)-5.293 F .293(alue is e)-.25 F .293
+ emacs editing)144 372 R .292(mode is acti)144 384 R -.15(ve)-.25 G
+5.292(.T).15 G .292(he v)-5.292 F .293(alue is e)-.25 F .293
 (xpanded lik)-.15 F 2.793(eak)-.1 G .593 -.15(ey b)-2.893 H .293
 (inding, so the standard set of meta- and control).15 F(pre\214x)144 396
-Q .601(es and backslash escape sequences is a)-.15 F -.25(va)-.2 G 3.101
-(ilable. Use).25 F .601(the \\1 and \\2 escapes to be)3.101 F .602
+Q .602(es and backslash escape sequences is a)-.15 F -.25(va)-.2 G 3.101
+(ilable. Use).25 F .601(the \\1 and \\2 escapes to be)3.101 F .601
 (gin and end)-.15 F .019(sequences of non-printing characters, which ca\
 n be used to embed a terminal control sequence into)144 408 R
 (the mode string.)144 420 Q F1(enable\255brack)108 432 Q
-(eted\255paste \(Off\))-.1 E F0 1.221(When set to)144 444 R F1(On)3.721
+(eted\255paste \(Off\))-.1 E F0 1.222(When set to)144 444 R F1(On)3.721
 E F0 3.721(,r)C 1.221(eadline will con\214gure the terminal in a w)
 -3.721 F 1.221(ay that will enable it to insert each)-.1 F .353
 (paste into the editing b)144 456 R(uf)-.2 E .353(fer as a single strin\
-g of characters, instead of treating each character as if)-.25 F .543
+g of characters, instead of treating each character as if)-.25 F .544
 (it had been read from the k)144 468 R -.15(ey)-.1 G 3.043(board. This)
-.15 F .543(can pre)3.043 F -.15(ve)-.25 G .544
+.15 F .543(can pre)3.043 F -.15(ve)-.25 G .543
 (nt pasted characters from being interpreted as).15 F(editing commands.)
-144 480 Q F1(enable\255k)108 492 Q(eypad \(Off\))-.1 E F0 .893
+144 480 Q F1(enable\255k)108 492 Q(eypad \(Off\))-.1 E F0 .892
 (When set to)144 504 R F1(On)3.393 E F0 3.393(,r)C .893
 (eadline will try to enable the application k)-3.393 F -.15(ey)-.1 G
-.893(pad when it is called.).15 F .892(Some sys-)5.893 F
+.893(pad when it is called.).15 F .893(Some sys-)5.893 F
 (tems need this to enable the arro)144 516 Q 2.5(wk)-.25 G -.15(ey)-2.6
 G(s.).15 E F1(enable\255meta\255k)108 528 Q(ey \(On\))-.1 E F0 .64
 (When set to)144 540 R F1(On)3.14 E F0 3.14(,r)C .64
@@ -5150,86 +5154,86 @@ G(s.).15 E F1(enable\255meta\255k)108 528 Q(ey \(On\))-.1 E F0 .64
 (expand\255tilde \(Off\))108 564 Q F0(If set to)144 576 Q F1(On)2.5 E F0
 2.5(,t)C(ilde e)-2.5 E(xpansion is performed when readline attempts w)
 -.15 E(ord completion.)-.1 E F1(history\255pr)108 588 Q(eser)-.18 E -.1
-(ve)-.1 G(\255point \(Off\)).1 E F0 1.339(If set to)144 600 R F1(On)
-3.839 E F0 3.839(,t)C 1.338(he history code attempts to place point at \
-the same location on each history line)-3.839 F(retrie)144 612 Q -.15
+(ve)-.1 G(\255point \(Off\)).1 E F0 1.338(If set to)144 600 R F1(On)
+3.838 E F0 3.838(,t)C 1.338(he history code attempts to place point at \
+the same location on each history line)-3.838 F(retrie)144 612 Q -.15
 (ve)-.25 G 2.5(dw).15 G(ith)-2.5 E F1(pr)2.5 E -.15(ev)-.18 G
 (ious-history).15 E F0(or)2.5 E F1(next-history)2.5 E F0(.)A F1
-(history\255size \(unset\))108 624 Q F0 .948
+(history\255size \(unset\))108 624 Q F0 .949
 (Set the maximum number of history entries sa)144 636 R -.15(ve)-.2 G
-3.448(di).15 G 3.448(nt)-3.448 G .948(he history list.)-3.448 F .949
-(If set to zero, an)5.948 F 3.449(ye)-.15 G(xisting)-3.599 E .483
-(history entries are deleted and no ne)144 648 R 2.983(we)-.25 G .483
-(ntries are sa)-2.983 F -.15(ve)-.2 G 2.983(d. If).15 F .482(set to a v)
-2.983 F .482(alue less than zero, the num-)-.25 F .277
-(ber of history entries is not limited.)144 660 R .277(By def)5.277 F
-.278(ault, the number of history entries is set to the v)-.1 F .278
-(alue of)-.25 F(the)144 672 Q F1(HISTSIZE)3.411 E F0 .911(shell v)3.411
-F 3.411(ariable. If)-.25 F .911(an attempt is made to set)3.411 F F2
-(history\255size)3.41 E F0 .91(to a non-numeric v)3.41 F(alue,)-.25 E
+3.448(di).15 G 3.448(nt)-3.448 G .948(he history list.)-3.448 F .948
+(If set to zero, an)5.948 F 3.448(ye)-.15 G(xisting)-3.598 E .482
+(history entries are deleted and no ne)144 648 R 2.982(we)-.25 G .483
+(ntries are sa)-2.982 F -.15(ve)-.2 G 2.983(d. If).15 F .483(set to a v)
+2.983 F .483(alue less than zero, the num-)-.25 F .278
+(ber of history entries is not limited.)144 660 R .277(By def)5.278 F
+.277(ault, the number of history entries is set to the v)-.1 F .277
+(alue of)-.25 F(the)144 672 Q F1(HISTSIZE)3.41 E F0 .91(shell v)3.41 F
+3.41(ariable. If)-.25 F .911(an attempt is made to set)3.41 F F2
+(history\255size)3.411 E F0 .911(to a non-numeric v)3.411 F(alue,)-.25 E
 (the maximum number of history entries will be set to 500.)144 684 Q F1
-(horizontal\255scr)108 696 Q(oll\255mode \(Off\))-.18 E F0 .448
-(When set to)144 708 R F1(On)2.948 E F0 2.948(,m)C(ak)-2.948 E .448
-(es readline use a single line for display)-.1 F 2.948(,s)-.65 G .449
+(horizontal\255scr)108 696 Q(oll\255mode \(Off\))-.18 E F0 .449
+(When set to)144 708 R F1(On)2.949 E F0 2.949(,m)C(ak)-2.949 E .448
+(es readline use a single line for display)-.1 F 2.948(,s)-.65 G .448
 (crolling the input horizontally on a)-2.948 F 1.194(single screen line\
  when it becomes longer than the screen width rather than wrapping to a\
- ne)144 720 R(w)-.25 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(41)
-197.335 E 0 Cg EP
+ ne)144 720 R(w)-.25 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E
+(41)192.895 E 0 Cg EP
 %%Page: 42 42
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E(line.)144 84 Q/F1
-10/Times-Bold@0 SF(input\255meta \(Off\))108 96 Q F0 1.061(If set to)144
-108 R F1(On)3.561 E F0 3.561(,r)C 1.062(eadline will enable eight-bit i\
-nput \(that is, it will not strip the eighth bit from the)-3.561 F .336
+10/Times-Bold@0 SF(input\255meta \(Off\))108 96 Q F0 1.062(If set to)144
+108 R F1(On)3.562 E F0 3.562(,r)C 1.061(eadline will enable eight-bit i\
+nput \(that is, it will not strip the eighth bit from the)-3.562 F .335
 (characters it reads\), re)144 120 R -.05(ga)-.15 G .335
-(rdless of what the terminal claims it can support.).05 F .335(The name)
-5.335 F F1(meta\255\215ag)2.835 E F0(is)2.835 E 2.864(as)144 132 S(ynon)
--2.864 E .364(ym for this v)-.15 F 2.864(ariable. The)-.25 F(def)2.864 E
+(rdless of what the terminal claims it can support.).05 F .336(The name)
+5.336 F F1(meta\255\215ag)2.836 E F0(is)2.836 E 2.865(as)144 132 S(ynon)
+-2.865 E .365(ym for this v)-.15 F 2.864(ariable. The)-.25 F(def)2.864 E
 .364(ault is)-.1 F/F2 10/Times-Italic@0 SF(Of)2.864 E(f)-.18 E F0 2.864
-(,b)C .364(ut readline will set it to)-3.064 F F2(On)2.864 E F0 .365
-(if the locale contains)2.865 F(eight-bit characters.)144 144 Q F1
+(,b)C .364(ut readline will set it to)-3.064 F F2(On)2.864 E F0 .364
+(if the locale contains)2.864 F(eight-bit characters.)144 144 Q F1
 (isear)108 156 Q(ch\255terminators \(`)-.18 E(`C\255[C\255J')-.63 E('\))
 -.63 E F0 .439(The string of characters that should terminate an increm\
 ental search without subsequently e)144 168 R -.15(xe)-.15 G(cut-).15 E
-.934(ing the character as a command.)144 180 R .935(If this v)5.935 F
-.935(ariable has not been gi)-.25 F -.15(ve)-.25 G 3.435(nav).15 G .935
-(alue, the characters)-3.685 F F2(ESC)3.435 E F0(and)144 192 Q F2
+.935(ing the character as a command.)144 180 R .935(If this v)5.935 F
+.935(ariable has not been gi)-.25 F -.15(ve)-.25 G 3.434(nav).15 G .934
+(alue, the characters)-3.684 F F2(ESC)3.434 E F0(and)144 192 Q F2
 (C\255J)2.5 E F0(will terminate an incremental search.)2.5 E F1 -.1(ke)
-108 204 S(ymap \(emacs\)).1 E F0 2.021(Set the current readline k)144
-216 R -.15(ey)-.1 G 4.521(map. The).15 F 2.021(set of v)4.521 F 2.021
-(alid k)-.25 F -.15(ey)-.1 G 2.021(map names is).15 F F2 2.02
-(emacs, emacs\255standar)4.52 F(d,)-.37 E .068
+108 204 S(ymap \(emacs\)).1 E F0 2.02(Set the current readline k)144 216
+R -.15(ey)-.1 G 4.521(map. The).15 F 2.021(set of v)4.521 F 2.021
+(alid k)-.25 F -.15(ey)-.1 G 2.021(map names is).15 F F2 2.021
+(emacs, emacs\255standar)4.521 F(d,)-.37 E .069
 (emacs\255meta, emacs\255ctlx, vi, vi\255command)144 228 R F0 2.568(,a)C
 (nd)-2.568 E F2(vi\255insert)2.568 E F0(.).68 E F2(vi)5.068 E F0 .068
 (is equi)2.568 F -.25(va)-.25 G .068(lent to).25 F F2(vi\255command)
-2.569 E F0(;)A F2(emacs)2.569 E F0 1.544(is equi)144 240 R -.25(va)-.25
-G 1.544(lent to).25 F F2(emacs\255standar)4.044 E(d)-.37 E F0 6.544(.T)C
+2.568 E F0(;)A F2(emacs)2.568 E F0 1.543(is equi)144 240 R -.25(va)-.25
+G 1.543(lent to).25 F F2(emacs\255standar)4.044 E(d)-.37 E F0 6.544(.T)C
 1.544(he def)-6.544 F 1.544(ault v)-.1 F 1.544(alue is)-.25 F F2(emacs)
 4.044 E F0 4.044(;t).27 G 1.544(he v)-4.044 F 1.544(alue of)-.25 F F1
-(editing\255mode)4.043 E F0(also)4.043 E(af)144 252 Q(fects the def)-.25
+(editing\255mode)4.044 E F0(also)4.044 E(af)144 252 Q(fects the def)-.25
 E(ault k)-.1 E -.15(ey)-.1 G(map.).15 E F1 -.1(ke)108 264 S
-(yseq\255timeout \(500\)).1 E F0 .367(Speci\214es the duration)144 276 R
+(yseq\255timeout \(500\)).1 E F0 .368(Speci\214es the duration)144 276 R
 F2 -.37(re)2.867 G(adline).37 E F0 .367(will w)2.867 F .367
-(ait for a character when reading an ambiguous k)-.1 F .668 -.15(ey s)
+(ait for a character when reading an ambiguous k)-.1 F .667 -.15(ey s)
 -.1 H(equence).15 E 1.356(\(one that can form a complete k)144 288 R
 1.656 -.15(ey s)-.1 H 1.356(equence using the input read so f).15 F(ar)
--.1 E 3.856(,o)-.4 G 3.856(rc)-3.856 G 1.355(an tak)-3.856 F 3.855(ea)
--.1 G(dditional)-3.855 E .32(input to complete a longer k)144 300 R .62
+-.1 E 3.856(,o)-.4 G 3.856(rc)-3.856 G 1.356(an tak)-3.856 F 3.856(ea)
+-.1 G(dditional)-3.856 E .32(input to complete a longer k)144 300 R .62
 -.15(ey s)-.1 H 2.82(equence\). If).15 F .32(no input is recei)2.82 F
 -.15(ve)-.25 G 2.82(dw).15 G .32(ithin the timeout,)-2.82 F F2 -.37(re)
-2.82 G(adline).37 E F0(will)2.82 E .907(use the shorter b)144 312 R .907
+2.82 G(adline).37 E F0(will)2.82 E .906(use the shorter b)144 312 R .907
 (ut complete k)-.2 F 1.207 -.15(ey s)-.1 H 3.407(equence. The).15 F -.25
-(va)3.407 G .907(lue is speci\214ed in milliseconds, so a v).25 F .906
+(va)3.407 G .907(lue is speci\214ed in milliseconds, so a v).25 F .907
 (alue of)-.25 F .05(1000 means that)144 324 R F2 -.37(re)2.55 G(adline)
 .37 E F0 .05(will w)2.55 F .05(ait one second for additional input.)-.1
 F .05(If this v)5.05 F .05(ariable is set to a v)-.25 F(alue)-.25 E .051
 (less than or equal to zero, or to a non-numeric v)144 336 R(alue,)-.25
 E F2 -.37(re)2.551 G(adline).37 E F0 .051(will w)2.551 F .051
-(ait until another k)-.1 F .351 -.15(ey i)-.1 H 2.551(sp).15 G(ressed)
--2.551 E(to decide which k)144 348 Q .3 -.15(ey s)-.1 H
+(ait until another k)-.1 F .352 -.15(ey i)-.1 H 2.552(sp).15 G(ressed)
+-2.552 E(to decide which k)144 348 Q .3 -.15(ey s)-.1 H
 (equence to complete.).15 E F1(mark\255dir)108 360 Q(ectories \(On\))
 -.18 E F0(If set to)144 372 Q F1(On)2.5 E F0 2.5(,c)C
 (ompleted directory names ha)-2.5 E .3 -.15(ve a s)-.2 H(lash appended.)
@@ -5242,48 +5246,48 @@ E F2 -.37(re)2.551 G(adline).37 E F0 .051(will w)2.551 F .051
 (ompleted names which are symbolic links to directories ha)-2.675 F .475
 -.15(ve a s)-.2 H .175(lash appended \(sub-).15 F(ject to the v)144 432
 Q(alue of)-.25 E F1(mark\255dir)2.5 E(ectories)-.18 E F0(\).)A F1
-(match\255hidden\255\214les \(On\))108 444 Q F0 .193(This v)144 456 R
-.193(ariable, when set to)-.25 F F1(On)2.693 E F0 2.693(,c)C .192
-(auses readline to match \214les whose names be)-2.693 F .192
-(gin with a `.)-.15 F 2.692('\()-.7 G(hidden)-2.692 E .456
+(match\255hidden\255\214les \(On\))108 444 Q F0 .192(This v)144 456 R
+.192(ariable, when set to)-.25 F F1(On)2.692 E F0 2.692(,c)C .192
+(auses readline to match \214les whose names be)-2.692 F .193
+(gin with a `.)-.15 F 2.693('\()-.7 G(hidden)-2.693 E .457
 (\214les\) when performing \214lename completion.)144 468 R .456
 (If set to)5.456 F F1(Off)2.956 E F0 2.956(,t)C .456(he leading `.)
--2.956 F 2.956('m)-.7 G .457(ust be supplied by the)-2.956 F
+-2.956 F 2.956('m)-.7 G .456(ust be supplied by the)-2.956 F
 (user in the \214lename to be completed.)144 480 Q F1
 (menu\255complete\255display\255pr)108 492 Q(e\214x \(Off\))-.18 E F0
-1.586(If set to)144 504 R F1(On)4.086 E F0 4.086(,m)C 1.585(enu complet\
+1.585(If set to)144 504 R F1(On)4.085 E F0 4.085(,m)C 1.585(enu complet\
 ion displays the common pre\214x of the list of possible completions)
--4.086 F(\(which may be empty\) before c)144 516 Q
+-4.085 F(\(which may be empty\) before c)144 516 Q
 (ycling through the list.)-.15 E F1(output\255meta \(Off\))108 528 Q F0
-.506(If set to)144 540 R F1(On)3.006 E F0 3.006(,r)C .507(eadline will \
+.507(If set to)144 540 R F1(On)3.007 E F0 3.007(,r)C .507(eadline will \
 display characters with the eighth bit set directly rather than as a me\
-ta-)-3.006 F(pre\214x)144 552 Q .885(ed escape sequence.)-.15 F .884
+ta-)-3.007 F(pre\214x)144 552 Q .884(ed escape sequence.)-.15 F .884
 (The def)5.884 F .884(ault is)-.1 F F2(Of)3.384 E(f)-.18 E F0 3.384(,b)C
-.884(ut readline will set it to)-3.584 F F2(On)3.384 E F0 .884
+.884(ut readline will set it to)-3.584 F F2(On)3.384 E F0 .885
 (if the locale contains)3.384 F(eight-bit characters.)144 564 Q F1
-(page\255completions \(On\))108 576 Q F0 .808(If set to)144 588 R F1(On)
+(page\255completions \(On\))108 576 Q F0 .809(If set to)144 588 R F1(On)
 3.308 E F0 3.308(,r)C .808(eadline uses an internal)-3.308 F F2(mor)
 3.308 E(e)-.37 E F0(-lik)A 3.308(ep)-.1 G .808
 (ager to display a screenful of possible comple-)-3.308 F
 (tions at a time.)144 600 Q F1
-(print\255completions\255horizontally \(Off\))108 612 Q F0 1.319
-(If set to)144 624 R F1(On)3.819 E F0 3.819(,r)C 1.318(eadline will dis\
-play completions with matches sorted horizontally in alphabetical)-3.819
+(print\255completions\255horizontally \(Off\))108 612 Q F0 1.318
+(If set to)144 624 R F1(On)3.818 E F0 3.818(,r)C 1.319(eadline will dis\
+play completions with matches sorted horizontally in alphabetical)-3.818
 F(order)144 636 Q 2.5(,r)-.4 G(ather than do)-2.5 E(wn the screen.)-.25
 E F1 -2.29 -.18(re v)108 648 T(ert\255all\255at\255newline \(Off\)).08 E
-F0 .698(If set to)144 660 R F1(On)3.198 E F0 3.198(,r)C .699
+F0 .699(If set to)144 660 R F1(On)3.199 E F0 3.199(,r)C .699
 (eadline will undo all changes to history lines before returning when)
--3.198 F F1(accept\255line)3.199 E F0(is)3.199 E -.15(exe)144 672 S
+-3.199 F F1(accept\255line)3.198 E F0(is)3.198 E -.15(exe)144 672 S
 2.686(cuted. By).15 F(def)2.686 E .186
 (ault, history lines may be modi\214ed and retain indi)-.1 F .186
 (vidual undo lists across calls to)-.25 F F1 -.18(re)144 684 S(adline)
 .18 E F0(.)A F1(sho)108 696 Q(w\255all\255if\255ambiguous \(Off\))-.1 E
-F0 .303(This alters the def)144 708 R .303(ault beha)-.1 F .304
+F0 .304(This alters the def)144 708 R .304(ault beha)-.1 F .304
 (vior of the completion functions.)-.2 F .304(If set to)5.304 F F1(On)
-2.804 E F0 2.804(,w)C .304(ords which ha)-2.904 F .604 -.15(ve m)-.2 H
+2.804 E F0 2.803(,w)C .303(ords which ha)-2.903 F .603 -.15(ve m)-.2 H
 (ore).15 E 1.264(than one possible completion cause the matches to be l\
 isted immediately instead of ringing the)144 720 R(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(42)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(42)192.895 E 0 Cg EP
 %%Page: 43 43
 %%BeginPageSetup
 BP
@@ -5291,74 +5295,74 @@ BP
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E(bell.)144 84 Q/F1
 10/Times-Bold@0 SF(sho)108 96 Q(w\255all\255if\255unmodi\214ed \(Off\))
--.1 E F0 5.345(This alters the def)144 108 R 5.345(ault beha)-.1 F 5.345
-(vior of the completion functions in a f)-.2 F 5.346(ashion similar to)
--.1 F F1(sho)144 120 Q(w\255all\255if\255ambiguous)-.1 E F0 6.691(.I)C
-4.191(fs)-6.691 G 1.691(et to)-4.191 F F1(On)4.191 E F0 4.191(,w)C 1.691
+-.1 E F0 5.346(This alters the def)144 108 R 5.346(ault beha)-.1 F 5.345
+(vior of the completion functions in a f)-.2 F 5.345(ashion similar to)
+-.1 F F1(sho)144 120 Q(w\255all\255if\255ambiguous)-.1 E F0 6.69(.I)C
+4.19(fs)-6.69 G 1.691(et to)-4.19 F F1(On)4.191 E F0 4.191(,w)C 1.691
 (ords which ha)-4.291 F 1.991 -.15(ve m)-.2 H 1.691
-(ore than one possible completion).15 F 1.039(without an)144 132 R 3.539
+(ore than one possible completion).15 F 1.04(without an)144 132 R 3.54
 (yp)-.15 G 1.039
-(ossible partial completion \(the possible completions don')-3.539 F
-3.539(ts)-.18 G 1.04(hare a common pre\214x\))-3.539 F(cause the matche\
-s to be listed immediately instead of ringing the bell.)144 144 Q F1
-(sho)108 156 Q(w\255mode\255in\255pr)-.1 E(ompt \(Off\))-.18 E F0 1.019
-(If set to)144 168 R F1(On)3.519 E F0 3.519(,a)C 1.018
-(dd a character to the be)-3.519 F 1.018
+(ossible partial completion \(the possible completions don')-3.54 F
+3.539(ts)-.18 G 1.039(hare a common pre\214x\))-3.539 F(cause the match\
+es to be listed immediately instead of ringing the bell.)144 144 Q F1
+(sho)108 156 Q(w\255mode\255in\255pr)-.1 E(ompt \(Off\))-.18 E F0 1.018
+(If set to)144 168 R F1(On)3.518 E F0 3.518(,a)C 1.018
+(dd a character to the be)-3.518 F 1.018
 (ginning of the prompt indicating the editing mode: emacs)-.15 F
 (\(@\), vi command \(:\) or vi insertion \(+\).)144 180 Q F1
-(skip\255completed\255text \(Off\))108 192 Q F0 .094(If set to)144 204 R
-F1(On)2.594 E F0 2.594(,t)C .095(his alters the def)-2.594 F .095
-(ault completion beha)-.1 F .095
+(skip\255completed\255text \(Off\))108 192 Q F0 .095(If set to)144 204 R
+F1(On)2.595 E F0 2.595(,t)C .095(his alters the def)-2.595 F .095
+(ault completion beha)-.1 F .094
 (vior when inserting a single match into the line.)-.2 F(It')144 216 Q
-2.546(so)-.55 G .046(nly acti)-2.546 F .346 -.15(ve w)-.25 H .046
-(hen performing completion in the middle of a w).15 F 2.545(ord. If)-.1
-F .045(enabled, readline does not)2.545 F 1.394(insert characters from \
+2.545(so)-.55 G .045(nly acti)-2.545 F .345 -.15(ve w)-.25 H .046
+(hen performing completion in the middle of a w).15 F 2.546(ord. If)-.1
+F .046(enabled, readline does not)2.546 F 1.394(insert characters from \
 the completion that match characters after point in the w)144 228 R
-1.395(ord being com-)-.1 F(pleted, so portions of the w)144 240 Q
+1.394(ord being com-)-.1 F(pleted, so portions of the w)144 240 Q
 (ord follo)-.1 E(wing the cursor are not duplicated.)-.25 E F1
 (vi\255cmd\255mode\255string \(\(cmd\)\))108 252 Q F0 1.198(This string\
  is displayed immediately before the last line of the primary prompt wh\
-en vi editing)144 264 R .521(mode is acti)144 276 R .821 -.15(ve a)-.25
+en vi editing)144 264 R .522(mode is acti)144 276 R .822 -.15(ve a)-.25
 H .522(nd in command mode.).15 F .522(The v)5.522 F .522(alue is e)-.25
-F .522(xpanded lik)-.15 F 3.022(eak)-.1 G .822 -.15(ey b)-3.122 H .522
-(inding, so the standard).15 F .87(set of meta- and control pre\214x)144
-288 R .869(es and backslash escape sequences is a)-.15 F -.25(va)-.2 G
-3.369(ilable. Use).25 F .869(the \\1 and \\2)3.369 F .386(escapes to be)
+F .522(xpanded lik)-.15 F 3.022(eak)-.1 G .821 -.15(ey b)-3.122 H .521
+(inding, so the standard).15 F .869(set of meta- and control pre\214x)
+144 288 R .869(es and backslash escape sequences is a)-.15 F -.25(va)-.2
+G 3.37(ilable. Use).25 F .87(the \\1 and \\2)3.37 F .387(escapes to be)
 144 300 R .386(gin and end sequences of non-printing characters, which \
 can be used to embed a ter)-.15 F(-)-.2 E
 (minal control sequence into the mode string.)144 312 Q F1
 (vi\255ins\255mode\255string \(\(ins\)\))108 324 Q F0 1.198(This string\
  is displayed immediately before the last line of the primary prompt wh\
-en vi editing)144 336 R .782(mode is acti)144 348 R 1.083 -.15(ve a)-.25
+en vi editing)144 336 R .783(mode is acti)144 348 R 1.083 -.15(ve a)-.25
 H .783(nd in insertion mode.).15 F .783(The v)5.783 F .783(alue is e)
 -.25 F .783(xpanded lik)-.15 F 3.283(eak)-.1 G 1.083 -.15(ey b)-3.383 H
-.783(inding, so the standard).15 F .87
+.783(inding, so the standard).15 F .869
 (set of meta- and control pre\214x)144 360 R .869
-(es and backslash escape sequences is a)-.15 F -.25(va)-.2 G 3.369
-(ilable. Use).25 F .869(the \\1 and \\2)3.369 F .386(escapes to be)144
-372 R .386(gin and end sequences of non-printing characters, which can \
-be used to embed a ter)-.15 F(-)-.2 E
+(es and backslash escape sequences is a)-.15 F -.25(va)-.2 G 3.37
+(ilable. Use).25 F .87(the \\1 and \\2)3.37 F .387(escapes to be)144 372
+R .386(gin and end sequences of non-printing characters, which can be u\
+sed to embed a ter)-.15 F(-)-.2 E
 (minal control sequence into the mode string.)144 384 Q F1
-(visible\255stats \(Off\))108 396 Q F0 .847(If set to)144 408 R F1(On)
+(visible\255stats \(Off\))108 396 Q F0 .846(If set to)144 408 R F1(On)
 3.346 E F0 3.346(,ac)C .846(haracter denoting a \214le')-3.346 F 3.346
 (st)-.55 G .846(ype as reported by)-3.346 F/F2 10/Times-Italic@0 SF
 (stat)3.346 E F0 .846(\(2\) is appended to the \214lename)B
 (when listing possible completions.)144 420 Q F1
 (Readline Conditional Constructs)87 436.8 Q F0 .05
 (Readline implements a f)108 448.8 R .05(acility similar in spirit to t\
-he conditional compilation features of the C preprocessor)-.1 F .097
-(which allo)108 460.8 R .097(ws k)-.25 F .396 -.15(ey b)-.1 H .096
+he conditional compilation features of the C preprocessor)-.1 F .096
+(which allo)108 460.8 R .096(ws k)-.25 F .396 -.15(ey b)-.1 H .096
 (indings and v).15 F .096
-(ariable settings to be performed as the result of tests.)-.25 F .096
+(ariable settings to be performed as the result of tests.)-.25 F .097
 (There are four parser)5.096 F(directi)108 472.8 Q -.15(ve)-.25 G 2.5
-(su).15 G(sed.)-2.5 E F1($if)108 489.6 Q F0(The)144 489.6 Q F1($if)2.962
-E F0 .462(construct allo)2.962 F .463(ws bindings to be made based on t\
-he editing mode, the terminal being used,)-.25 F .478
+(su).15 G(sed.)-2.5 E F1($if)108 489.6 Q F0(The)144 489.6 Q F1($if)2.963
+E F0 .463(construct allo)2.963 F .462(ws bindings to be made based on t\
+he editing mode, the terminal being used,)-.25 F .477
 (or the application using readline.)144 501.6 R .477(The te)5.477 F .477
 (xt of the test e)-.15 F .477
 (xtends to the end of the line; no characters)-.15 F
 (are required to isolate it.)144 513.6 Q F1(mode)144 530.4 Q F0(The)180
-530.4 Q F1(mode=)3.711 E F0 1.211(form of the)3.711 F F1($if)3.711 E F0
+530.4 Q F1(mode=)3.712 E F0 1.212(form of the)3.712 F F1($if)3.711 E F0
 (directi)3.711 E 1.511 -.15(ve i)-.25 H 3.711(su).15 G 1.211
 (sed to test whether readline is in emacs or vi)-3.711 F 3.065
 (mode. This)180 542.4 R .565(may be used in conjunction with the)3.065 F
@@ -5366,13 +5370,13 @@ F1 .565(set k)3.065 F(eymap)-.1 E F0 .565(command, for instance, to)
 3.065 F .735(set bindings in the)180 554.4 R F2(emacs\255standar)3.235 E
 (d)-.37 E F0(and)3.235 E F2(emacs\255ctlx)3.235 E F0 -.1(ke)3.235 G .735
 (ymaps only if readline is starting)-.05 F(out in emacs mode.)180 566.4
-Q F1(term)144 583.2 Q F0(The)180 583.2 Q F1(term=)3.197 E F0 .696
-(form may be used to include terminal-speci\214c k)3.197 F .996 -.15
-(ey b)-.1 H .696(indings, perhaps to bind).15 F .654(the k)180 595.2 R
+Q F1(term)144 583.2 Q F0(The)180 583.2 Q F1(term=)3.196 E F0 .696
+(form may be used to include terminal-speci\214c k)3.196 F .996 -.15
+(ey b)-.1 H .697(indings, perhaps to bind).15 F .654(the k)180 595.2 R
 .954 -.15(ey s)-.1 H .654(equences output by the terminal').15 F 3.154
 (sf)-.55 G .654(unction k)-3.154 F -.15(ey)-.1 G 3.154(s. The).15 F -.1
-(wo)3.154 G .654(rd on the right side of).1 F(the)180 607.2 Q F1(=)3.232
-E F0 .732(is tested ag)3.232 F .732(ainst both the full name of the ter\
+(wo)3.154 G .654(rd on the right side of).1 F(the)180 607.2 Q F1(=)3.231
+E F0 .731(is tested ag)3.231 F .732(ainst both the full name of the ter\
 minal and the portion of the terminal)-.05 F(name before the \214rst)180
 619.2 Q F1<ad>2.5 E F0 5(.T)C(his allo)-5 E(ws)-.25 E F2(sun)2.84 E F0
 (to match both)2.74 E F2(sun)2.84 E F0(and)2.74 E F2(sun\255cmd)2.5 E F0
@@ -5381,15 +5385,15 @@ Q F1(application)3.003 E F0 .503
 (construct is used to include application-speci\214c settings.)3.003 F
 .503(Each program)5.503 F .114(using the readline library sets the)180
 660 R F2 .114(application name)2.614 F F0 2.614(,a)C .114
-(nd an initialization \214le can test for a)-2.614 F .5(particular v)180
-672 R 3(alue. This)-.25 F .501(could be used to bind k)3 F .801 -.15
-(ey s)-.1 H .501(equences to functions useful for a spe-).15 F .397
-(ci\214c program.)180 684 R -.15(Fo)5.397 G 2.896(ri).15 G .396
+(nd an initialization \214le can test for a)-2.614 F .501(particular v)
+180 672 R 3.001(alue. This)-.25 F .501(could be used to bind k)3.001 F
+.801 -.15(ey s)-.1 H .5(equences to functions useful for a spe-).15 F
+.396(ci\214c program.)180 684 R -.15(Fo)5.396 G 2.896(ri).15 G .396
 (nstance, the follo)-2.896 F .396(wing command adds a k)-.25 F .696 -.15
-(ey s)-.1 H .396(equence that quotes the).15 F(current or pre)180 696 Q
+(ey s)-.1 H .397(equence that quotes the).15 F(current or pre)180 696 Q
 (vious w)-.25 E(ord in)-.1 E F1(bash)2.5 E F0(:)A F1($if)180 720 Q F0
-(Bash)2.5 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(43)197.335 E 0
-Cg EP
+(Bash)2.5 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(43)192.895 E
+0 Cg EP
 %%Page: 44 44
 %%BeginPageSetup
 BP
